package com.ruoyi.web.work.api;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.api.util.AppUtil;
import com.ruoyi.web.work.domain.Pv1;
import com.ruoyi.web.work.domain.dto.PatientCardDto;
import com.ruoyi.web.work.domain.dto.Pv1MedicalRecord;
import com.ruoyi.web.work.service.IPv1Service;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(tags = "住院信息管理")
@RestController
@RequestMapping("/app/pv1")
public class Api_Pv1Controller {

    @Autowired
    private IPv1Service ipv1Service;

    @ApiOperation(value = "根据时间获取用户就医记录")
    @GetMapping("/record")
    public AjaxResult getMedicalRecord(@RequestParam("beginTime") String beginTime,
                                       @RequestParam("endTime") String endTime){
        List<Pv1MedicalRecord> pv1List=ipv1Service.getMedicalRecord(beginTime,endTime, AppUtil.getUser().getPatientId());
        return AjaxResult.success(pv1List);
    }


}
